%define altrelease 0.5

Summary: Russian Charset Conversion Library
Name: librcc
Version: 0.2.3
Release: alt%{altrelease}.1.C30
License: GPL
Group: System/Libraries
Source: librcc-%{version}.tar.bz2
URL: http://rusxmms.sourceforge.net
#uildPreReq: librcd-devel
#equires: librcd

# Automatically added by buildreq on Sat Aug 13 2005
BuildRequires: gcc-c++ glib-devel glib2-devel gtk+-devel libgtk+2-devel libaspell-devel libatk-devel libdb4-devel libenca-devel libpango-devel librcd-devel libstdc++-devel libxml2-devel pkgconfig zlib-devel

%description
Provides posibility to automaticaly convert considered encodings (a lot of
languages is supported, not only russian one) to/from UTF-8. The library
is part of rusxmms patch.

%package gtk
Group: Development/Other
Summary: Russian Encoding Conversion Library
Requires: %name

%description gtk
Provides posibility to automaticaly convert considered encodings (a lot of
languages is supported, not only russian one) to/from UTF-8. The library
is part of rusxmms patch.

this package contains GTK1 bindings

%package gtk2
Group: Development/Other
Summary: Russian Encoding Conversion Library
Requires: %name

%description gtk2
Provides posibility to automaticaly convert considered encodings (a lot of
languages is supported, not only russian one) to/from UTF-8. The library
is part of rusxmms patch.

this package contains GTK2 bindings

%package devel
Group: Development/Other
Summary: Russian Encoding Conversion Library
Requires: %name

%description devel
Provides posibility to automaticaly convert considered encodings (a lot of
languages is supported, not only russian one) to/from UTF-8. The library
is part of rusxmms patch.

This package includes headers and shared libraries for development %name-based applications.

%package devel-static
Group: Development/Other
Summary: Russian Encoding Conversion Library
Requires: %name

%description devel-static
Provides posibility to automaticaly convert considered encodings (a lot of
languages is supported, not only russian one) to/from UTF-8. The library
is part of rusxmms patch.

This package includes static libraries.

%prep
%setup -q -n %{name}-%{version}

%build
%__libtoolize
autoreconf -fisv

%configure
%make_build

%install

%__mkdir -p $RPM_BUILD_ROOT/etc/rcc
%__mkdir -p $RPM_BUILD_ROOT/%{prefix}/lib/rcc/engines/
%__mkdir -p $RPM_BUILD_ROOT/%{prefix}/bin
make install DESTDIR=$RPM_BUILD_ROOT
%__rm -f $RPM_BUILD_ROOT%{prefix}/lib/*.la
%__rm -f $RPM_BUILD_ROOT%{prefix}/lib/rcc/engines/*.a
%__rm -f $RPM_BUILD_ROOT%{prefix}/lib/rcc/engines/*.la
make -C examples
make -C examples install DESTDIR=$RPM_BUILD_ROOT
%__rm -f $RPM_BUILD_ROOT%{prefix}/bin/example*

%__install -m 644 examples/rcc.xml $RPM_BUILD_ROOT/etc/

##if [ -f $RPM_BUILD_ROOT/usr/bin/rcc-gtk2-config ]; then
##    ln -s rcc-gtk2-config $RPM_BUILD_ROOT/usr/bin/rcc-config
##elif [ -f $RPM_BUILD_ROOT/usr/bin/rcc-gtk-config ]; then
    ln -s rcc-gtk-config $RPM_BUILD_ROOT/usr/bin/rcc-config
##else
##    echo "#!/bin/bash" > $RPM_BUILD_ROOT/usr/bin/rcc-config
##    echo "echo \"Configuration UI is not available!\"" >> $RPM_BUILD_ROOT/usr/bin/rcc-config
##fi

%post
%post_ldconfig
%postun
%postun_ldconfig

%files
%doc AUTHORS ChangeLog NEWS README COPYING
%doc examples/rcc-example.xml
%dir /etc/rcc
/etc/rcc.xml
%{prefix}/lib/librcc.so.*
%{prefix}/lib/librccui.so.*
%{prefix}/lib/rcc/
%{prefix}/bin/rcc-config

%files gtk
%{prefix}/lib/librccgtk.so.*
%{prefix}/bin/rcc-gtk-config

%files gtk2
%{prefix}/lib/librccgtk2.so.*
%{prefix}/bin/rcc-gtk2-config

%files devel
%{prefix}/include/*
%{prefix}/lib/lib*.so

%files devel-static
%{prefix}/lib/*.a

%changelog
* Mon May 08 2006 Nick S. Grechukh <gns@altlinux.org> 0.2.3-alt0.5.1.C30
- rebuilt for compact30

* Sat Mar 25 2006 ALT QA Team Robot <qa-robot@altlinux.org> 0.2.3-alt0.5.1
- Rebuilt with libdb4.4.

* Thu Jan 12 2006 Nick S. Grechukh <gns@altlinux.org> 0.2.3-alt0.5
- new version

* Sat Aug 13 2005 Nick S. Grechukh <gns@altlinux.ru> 0.2.0-alt0.5
- initial build for Sisyphus
